sqoop-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Josh Millstein <joshua.millst...@gmail.com>
Subject installing sqoop2 (1.993) on mac osx from source code
Date Mon, 09 Jun 2014 18:35:58 GMT
Hello All -

I believe I've managed to figure out that sqoop 1.44 is not compatible with
hadoop2.4.  So, I've been trying to install swoop 1.993 to my mac (osx
10.9).   What I've done so far

1) pulled the 1.993 repo from git
2) mvn compile
3) mvn install
4) mvn package

when I do a

'which sqoop'

I get nothing... same for 'which sqoop2'

I then went hunting around for the sqoop.sh client and found it in
/usr/local/test/sqoop2/dist/src/main/bin

tried to run ./sqoop.sh client

and I get a --

Sqoop home directory: /usr/local/test/sqoop2/dist/src/main
Exception in thread "main" java.lang.NoClassDefFoundError:
org/apache/sqoop/shell/SqoopShell
Caused by: java.lang.ClassNotFoundException:
org.apache.sqoop.shell.SqoopShell
at java.net.URLClassLoader$1.run(URLClassLoader.java:202)
at java.security

---

I've seen about 100 variations on how to install from source and I can't
pin down what I'm doing wrong.  Can anybody help with this?  Also, when I
had sqoop 1.44 I was running the following command...

sqoop import --connect
jdbc:mysql://wolfs-MacBook-Pro.local:3306/joshLocal --username sqoop
--password sqoop --table BITLOG --verbose


can you still invoke sqoop like that in 1.993 ?


Thanks in advance for any help.


:)

Josh

Mime
View raw message